public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
* cluster: STABLE3 - cman init: implement groupd protocol negotiation check
@ 2009-03-31 7:19 Fabio M. Di Nitto
0 siblings, 0 replies; only message in thread
From: Fabio M. Di Nitto @ 2009-03-31 7:19 UTC (permalink / raw)
To: cluster-cvs-relay
Gitweb: http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=c685efb1ca60e907f1a1d36ba371ed8241c1586e
Commit: c685efb1ca60e907f1a1d36ba371ed8241c1586e
Parent: f2403d0b27b164f575af8edcfd52ffe097d17e97
Author: Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate: Tue Mar 31 09:17:58 2009 +0200
Committer: Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Tue Mar 31 09:17:58 2009 +0200
cman init: implement groupd protocol negotiation check
as discussed with David, wait for groupd to negotiate the compat protocol.
this check is non-fatal but could be very informative when running
in full log for debugging.
Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
cman/init.d/cman.in | 16 +++++++++++++++-
1 files changed, 15 insertions(+), 1 deletions(-)
diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 3324268..5105173 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -490,7 +490,21 @@ stop_qdiskd()
start_groupd()
{
- start_daemon groupd
+ start_daemon groupd || return 1
+
+ if [ "$INITLOGLEVEL" = "full" ]; then
+ ok
+ echo -n " Waiting groupd protocol negotiation: "
+ fi
+ retries=0
+ while group_tool ls | \
+ grep -q pending && [ $retries -lt 10 ]; do
+ sleep 1
+ if [ "$INITLOGLEVEL" = "full" ]; then
+ echo -n "$retries "
+ fi
+ ((retries++))
+ done
}
stop_groupd()
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2009-03-31 7:19 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2009-03-31 7:19 cluster: STABLE3 - cman init: implement groupd protocol negotiation check Fabio M. Di Nitto
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).